power.hpp File Reference

Forward declares `boost::hana::power`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::power
| Elevate a ring element to its `n`th power.Specifically, `power(x, n)`, is equivalent to multiplying `x` with itself `n` times using the Ring's multiplication. If the power is equal to `zero`, the Ring's identity (`one`) is returned. More...

## Detailed Description

Forward declares `boost::hana::power`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)